-- phpMyAdmin SQL Dump
-- version 4.8.5
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Jan 22, 2021 at 09:38 AM
-- Server version: 5.7.32-0ubuntu0.18.04.1
-- PHP Version: 7.2.24-0ubuntu0.18.04.7

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `modpk_prod_copy`
--

-- --------------------------------------------------------

--
-- Table structure for table `ads`
--

CREATE TABLE `ads` (
  `id` int(11) NOT NULL,
  `created_time` int(11) NOT NULL,
  `bumped` int(11) DEFAULT NULL,
  `edited` int(11) DEFAULT NULL,
  `owner_email` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `title` varchar(150) DEFAULT NULL,
  `body` text
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `builds`
--

CREATE TABLE `builds` (
  `id` int(11) NOT NULL,
  `hash` varchar(128) DEFAULT NULL,
  `system_file_name` varchar(255) DEFAULT NULL,
  `filename` varchar(255) DEFAULT NULL,
  `creation_time` int(11) DEFAULT NULL,
  `last_download` int(11) DEFAULT NULL,
  `mod_count` int(11) DEFAULT NULL,
  `mod_opt_count` int(11) DEFAULT NULL,
  `res_count` int(11) DEFAULT NULL,
  `patch_from` varchar(255) DEFAULT NULL,
  `patch_to` varchar(255) DEFAULT NULL,
  `is_patch` tinyint(4) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `client_keys`
--

CREATE TABLE `client_keys` (
  `id` int(11) NOT NULL,
  `app_name` varchar(255) DEFAULT NULL,
  `app_note` varchar(255) DEFAULT NULL,
  `client_id` varchar(36) DEFAULT NULL,
  `client_secret` varchar(255) DEFAULT NULL,
  `client_owner` varchar(255) DEFAULT NULL,
  `created_time` int(11) NOT NULL,
  `token` varchar(255) DEFAULT NULL,
  `token_refreshed` int(11) NOT NULL,
  `last_accessed` int(11) NOT NULL,
  `type` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `files`
--

CREATE TABLE `files` (
  `id` int(11) NOT NULL,
  `mod_name` varchar(255) DEFAULT NULL,
  `mod_id` varchar(255) DEFAULT NULL,
  `system_file_name` varchar(255) DEFAULT NULL,
  `filename` varchar(255) DEFAULT NULL,
  `parent_identifier` varchar(255) DEFAULT NULL,
  `file_type` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  `update_id` varchar(255) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  `version_from` varchar(255) DEFAULT NULL,
  `version_to` varchar(255) DEFAULT NULL,
  `is_required` tinyint(4) DEFAULT NULL,
  `pack_side` tinyint(4) DEFAULT NULL,
  `other_dependencies` varchar(255) DEFAULT NULL,
  `default_selected` tinyint(4) DEFAULT NULL,
  `update_reason` varchar(500) DEFAULT NULL,
  `release_tag` varchar(50) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `misc`
--

CREATE TABLE `misc` (
  `field_key` varchar(255) NOT NULL,
  `field_value` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `server_messages`
--

CREATE TABLE `server_messages` (
  `id` int(11) NOT NULL,
  `color` varchar(50) DEFAULT '',
  `message` varchar(255) DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT '1',
  `last_request` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tags`
--

CREATE TABLE `tags` (
  `id` int(11) NOT NULL,
  `tag` varchar(255) DEFAULT NULL,
  `created_time` int(11) NOT NULL,
  `low_entry` int(11) DEFAULT NULL,
  `high_entry` int(11) DEFAULT NULL,
  `tag_type` varchar(255) DEFAULT 'major'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `role` varchar(20) DEFAULT NULL,
  `login_token` varchar(255) DEFAULT NULL,
  `token_expires` int(11) DEFAULT NULL,
  `minecraft_name` varchar(255) DEFAULT NULL,
  `minecraft_uuid` varchar(36) DEFAULT NULL,
  `note` varchar(255) DEFAULT NULL,
  `updated` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `ads`
--
ALTER TABLE `ads`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `builds`
--
ALTER TABLE `builds`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `client_keys`
--
ALTER TABLE `client_keys`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `files`
--
ALTER TABLE `files`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `misc`
--
ALTER TABLE `misc`
  ADD PRIMARY KEY (`field_key`);

--
-- Indexes for table `server_messages`
--
ALTER TABLE `server_messages`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `server_messages_message_uindex` (`message`);

--
-- Indexes for table `tags`
--
ALTER TABLE `tags`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_minecraft_name_uindex` (`minecraft_name`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `ads`
--
ALTER TABLE `ads`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=28;

--
-- AUTO_INCREMENT for table `builds`
--
ALTER TABLE `builds`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=40;

--
-- AUTO_INCREMENT for table `client_keys`
--
ALTER TABLE `client_keys`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=21;

--
-- AUTO_INCREMENT for table `files`
--
ALTER TABLE `files`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2407;

--
-- AUTO_INCREMENT for table `server_messages`
--
ALTER TABLE `server_messages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tags`
--
ALTER TABLE `tags`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=74;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=232;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
